Generates a random deviate from the beta distribution

- « stats_kurtosis

- stats_rand_gen_chisquare »

- PHP Manual
- Statistic Functions
- Generates a random deviate from the beta distribution

# stats_rand_gen_beta

(PECL stats >= 1.0.0)

stats_rand_gen_beta — Generates a random deviate from the beta distribution

### Description

stats_rand_gen_beta(float `$a`, float `$b`): float

Returns a random deviate from the beta distribution with parameters A and B. The density of the beta is x^(a-1) * (1-x)^(b-1) / B(a,b) for 0 < x <. Method R. C. H. Cheng.

### Parameters

`a`

  The shape parameter of the beta distribution

`b`

  The shape parameter of the beta distribution

### Return Values

A random deviate